<?php

namespace App;

enum RecordStatus: int
{
    case Draft = 1;
    case Complete = 2;
    case Excluded = 3;
    case Unindexed = 4;
    case Published = 5;

    public function toString(): string
    {
        return match ($this) {
            $this::Draft => 'Draft',
            $this::Complete => 'Complete',
            $this::Excluded => 'Excluded',
            $this::Unindexed => 'Unindexed',
            $this::Published => 'Published',
            default => 'Draft'
        };
    }

}
